This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181965 - Change to protect symlinked configuration files
Change to protect symlinked configuration files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-17 19:26 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 18:55:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to preserve config file symlink (484 bytes, patch)
2006-02-17 19:26 EST, JW
no flags Details | Diff

  None (edit)
Description JW 2006-02-17 19:26:47 EST
Description of problem:
Updating Xorg configuration breaks config file symlink

Version-Release number of selected component (if applicable):
system-config-display-1.0.29-1

How reproducible:
Always

Steps to Reproduce:
1. ln -s something xorg.conf
2. system-config-display
3. 
  
Actual results:
symlink renamed, and plain file created

Expected results:
symlink retained

Additional info:
Patch is attached which changes the "os.rename" to "os.copy".
The backup file is still created but config file symlink now preserved.
Comment 1 JW 2006-02-17 19:26:47 EST
Created attachment 124841 [details]
Patch to preserve config file symlink
Comment 2 Christian Iseli 2007-01-19 19:18:15 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 JW 2007-01-19 19:32:39 EST
Patch already submitted!!!!!!!!!!!!!!!!!!!!

If you haven't even bothered to look at the patch then why is FC4 EOL'd?

Perhaps RedHat is EOL'ing a little hastily?  Why drop an OS when you haven't
even bothered looking at submitted patches that improve that OS's utilities. 
And you haven't even bothered to look and see if that patch is applicable to the
latest version of that utility.
Comment 4 Adam Jackson 2007-01-29 18:55:59 EST
Applied, will be in system-config-display 1.0.49.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.